
<template>
    <div>
        <div class="text--right mb-30">
            <div class="pam-link-button--lg"
            @click="addInterview">+新增</div>
        </div>
        <InterviewCard :interviewList="appointmentDetail.interviewRecordDTOs"></InterviewCard>
    </div>
</template>

<script lang="ts">
import { Component, namespace, Vue } from "nuxt-property-decorator";
import { Appointment } from "~/shared/models/appointment.model";

const appointmentStore = namespace('appointment.store');

@Component
export default class InterviewList extends Vue {
    @appointmentStore.State
    appointmentDetail!: Appointment;

    appointmentId!: number;

    ////////////////////////////////////////////////////////

    mounted() {
      this.appointmentId = +this.$route.params.appointmentId;
    }

    ////////////////////////////////////////////////////////

    addInterview(): void {
        this.$router.push(`/appointment/${this.appointmentId}/interview/new`);
    }

}
</script>